-------------------------------------------------------------------------------------------
function OnSceneEnter()
	UI:Helper("up", false) 
	UI:Helper("down", false) 
-- pierwsze wejscie
 	if s.s01_0201_foyer_visit==0 then
		if s.s01_0403_hint_show==0 then
			ShowGameHint("game_hint_11")
			UI:Helper("up", true,Ogre.Vector2(70,635), 12 ) 
		end
 	end
--[[ wejscie z zaproszeniem
 	if s.s01_0201_foyer_visit~=0 and s.i_invitation==1 then
 		Dialog("dlg_s01_04")
 		Delete("i_invitation") 
 	end
-- rozpoczecie dialogu z portierem o prof Remy
 	if s.dlg_s01_05==1 and s.dlg_s01_18==0  then
 		Sleep(1000)
 		Dialog("dlg_s01_18")
 	end
-- rozpoczecie dialogu z portierem i irene jak porozmawialismy z policjantem o tragedii
 	if s.dlg_s01_09==1 and s.dlg_s01_10==0  then
 		Sleep(1000)
 		Dialog("dlg_s01_10")
 	end
--rozpoczecie dialogu z portierem jak Irene wyslala nas po gasnice
 	if s.dlg_s01_15==1 and s.dlg_s01_16==0  then
 		Sleep(1000)
 		Dialog("dlg_s01_16")
 	end
]]
 	if s.dlg_s01_17==1 and s.com_s01_0201_03_hero==0  then	
 		Talk("com_s01_0201_03_hero")
	end

end
-------------------------------------------------------------------------------------------